DEV Community

loading...

Discussion on: Installing Docker and Docker Compose on the Raspberry Pi in 5 Simple Steps

Collapse
muyangren1880 profile image
muyangren1880

Hi , I'm shepherd ,
I used the "2019-09-26-raspbian-buster-full.img" raspberry pie image(3B+).When I used this image last year, I could install docker normally.Today, I reinstalled the system and encountered a problem while installing docker.
First:
1.sudo apt-get update && sudo apt-get upgrade
No problem
2.curl -fsSL get.docker.com -o get-docker.sh
No problem
3.sudo sh get-docker.sh
error:Essential packages were removed and -y was used without --allow-remove-essential.
I've updated Python to 3.6;
The problem has always been. I don't know what happened
I hope you can help me.

Collapse
rohansawant profile image
Rohan Sawant Author

Hmm, so this is what I can do. This weekend, I'll try the Docker installation on a fresh newest version of Raspbian and see if it's still working out of the box.

That should help you 🤔